# class TkcGroup

### Constants

Tk_cGroup_ID

### Public Class Methods

new(parent, *args) click to toggle source

def create_self(parent, *args)

    # File lib/tk/canvastag.rb, line 425
    def initialize(parent, *args)
      #unless parent.kind_of?(TkCanvas)
      #  fail ArgumentError, "expect TkCanvas for 1st argument"
      #end
      @c = parent
      @cpath = parent.path
      Tk_cGroup_ID.mutex.synchronize{
        # @path = @id = Tk_cGroup_ID.join('')
        @path = @id = Tk_cGroup_ID.join(TkCore::INTERP._ip_id_)
        Tk_cGroup_ID[1].succ!
      }
      CTagID_TBL.mutex.synchronize{
        CTagID_TBL[@cpath] = {} unless CTagID_TBL[@cpath]
        CTagID_TBL[@cpath][@id] = self
      }
      include(*args) if args != []
    end

### Public Instance Methods

add(*tags)
Alias for: include
exclude(*tags) click to toggle source

    # File lib/tk/canvastag.rb, line 453
    def exclude(*tags)
      for i in tags
        #i.dtag(@id)
        @c.dtag(i, @id)
      end
      self
    end

include(*tags) click to toggle source

private :create_self

    # File lib/tk/canvastag.rb, line 444
    def include(*tags)
      for i in tags
        #i.addtag(@id)
        @c.addtag_withtag(@id, i)
      end
      self
    end

Also aliased as: add
mutex() click to toggle source

    # File lib/tk/canvastag.rb, line 420
    def mutex; @mutex; end